## Class password_encoder

zeep::http::password_encoder

## Synopsis

    // In header: <zeep/http/security.hpp>

    class password_encoder {
    public:
      // construct/copy/destruct
      ~password_encoder();

      // public member functions
      virtual std::string encode(const std::string &) const = 0;
      virtual bool matches(const std::string &, const std::string &) const = 0;
    };

## Description

### `password_encoder` public construct/copy/destruct

1.     ~password_encoder();

### `password_encoder` public member functions

1.     virtual std::string encode(const std::string & password) const = 0;

2.     virtual bool
       matches(const std::string & raw_password, const std::string & stored_password) const = 0;